#
# spec file for package asedit (Version 1.3.2)
# 
# Copyright  (c)  1999  SuSE GmbH  Nuernberg, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  lesstif lesstifd xpm
# usedforbuild    aaa_base aaa_dir base bash bindutil binutils bison bzip compress cpio cracklib devs diff egcs ext2fs file fileutil find flex gawk gdbm gettext gpm gppshare groff gzip kbd ldso less lesstif lesstifd libc libz lx_suse make mktemp modules ncurses net_tool netcfg nkita nkitb nssv1 pam patch perl pgp ps rcs rpm sendmail sh_utils shadow shlibs strace syslogd sysvinit texinfo textutil timezone unzip util vim xdevel xf86 xpm xshared

Vendor:       SuSE GmbH, Nuernberg, Germany
Distribution: SuSE Linux 6.3 (i386)
Name:         asedit
Release:      108
Packager:     feedback@suse.de

Copyright:    1994 Andrzej Stochniol
Group:        unsorted
Provides:     asedit 
Autoreqprov:  on
Version:      1.3.2
Summary:      An Editor
Source: asedit-1.3.2.tar.gz
Patch: asedit-1.3.2.dif

%description
A simple ASCII text editor for X11/Motif. Mouse support, dialog boxes,
hypertext online help, undo/redo.
The help box for the online help has a little bug: it is too small, you
must enlarge the box with the mouse.

Authors:
--------
    Andrzej Stochniol <A.Stochniol@ic.ac.uk>


%prep

%setup

%patch
xmkmf -a

%build
#test -x /usr/sbin/switch_motif_linking && \
#  /usr/sbin/switch_motif_linking dynamic
make
#mv asedit asedit.SuSE-dynamic
#test -x /usr/sbin/switch_motif_linking && \
#  /usr/sbin/switch_motif_linking static
#make

%install
make install
make install.man
#mv /usr/X11R6/bin/asedit /usr/X11R6/bin/asedit.SuSE-static
#install -s asedit.SuSE-dynamic /usr/X11R6/bin
#ln -sf asedit.SuSE-static /usr/X11R6/bin/asedit
%{?suse_check:%{suse_check}}

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/asedit
#/usr/X11R6/bin/asedit.SuSE-dynamic
#/usr/X11R6/bin/asedit.SuSE-static
%config /usr/X11R6/lib/X11/app-defaults/Asedit
%config /usr/X11R6/lib/X11/app-defaults/Asedit-sgi
%config /usr/X11R6/lib/X11/app-defaults/Asedit_em
%config /usr/X11R6/lib/X11/app-defaults/Asedit_em-sgi
/usr/X11R6/lib/X11/asedit.hlp
/usr/X11R6/lib/X11/asedit_em.hlp

